Package be.cin.mycarenet._1_0.carenet.types

# Class CareReceiverDetailType

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.CareReceiverDetailType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ExtCareReceiverDetailType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class CareReceiverDetailType extends Object implements Serializable

Java class for CareReceiverDetailType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CareReceiverDetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Inss" type="{urn:be:cin:mycarenet:1.0:carenet:types}InssType" minOccurs="0"/>
             <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="LastName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Birthday" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Deceased" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Sex" type="{urn:be:cin:mycarenet:1.0:carenet:types}SexType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CareReceiverDetailType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getBirthday()`
  The date that the care receiver is born.
  `Instant`
  `getDeceased()`
  The day the care receiver is deceased.
  `String`
  `getFirstName()`
  The first name of the care receiver if available.
  `String`
  `getInss()`
  Optional element that contains the INSS of a care receiver.
  `String`
  `getLastName()`
  The last name of the care receiver
  `SexType`
  `getSex()`
  The sex of the care receiver.
  `void`
  `setBirthday(Instant value)`
  Sets the value of the birthday property.
  `void`
  `setDeceased(Instant value)`
  Sets the value of the deceased property.
  `void`
  `setFirstName(String value)`
  Sets the value of the firstName property.
  `void`
  `setInss(String value)`
  Sets the value of the inss property.
  `void`
  `setLastName(String value)`
  Sets the value of the lastName property.
  `void`
  `setSex(SexType value)`
  Sets the value of the sex property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CareReceiverDetailType

    public CareReceiverDetailType()

- ## Method Details

  - ### getInss

    public String getInss()
    Optional element that contains the INSS of a care receiver. Only omitted in rare cases (like newborns or foreingers).
    Returns:
      possible object is `String`

  - ### setInss

    public void setInss(String value)
    Sets the value of the inss property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getInss()`

  - ### getFirstName

    public String getFirstName()
    The first name of the care receiver if available.
    Returns:
      possible object is `String`

  - ### setFirstName

    public void setFirstName(String value)
    Sets the value of the firstName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFirstName()`

  - ### getLastName

    public String getLastName()
    The last name of the care receiver
    Returns:
      possible object is `String`

  - ### setLastName

    public void setLastName(String value)
    Sets the value of the lastName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLastName()`

  - ### getBirthday

    public Instant getBirthday()
    The date that the care receiver is born. Only optional in rare cases (e.g. new born, foreigners, ...).
    Returns:
      possible object is `String`

  - ### setBirthday

    public void setBirthday(Instant value)
    Sets the value of the birthday property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getBirthday()`

  - ### getDeceased

    public Instant getDeceased()
    The day the care receiver is deceased. Only provided if when the care receiver is deceased an the decease date is in the requested period.
    Returns:
      possible object is `String`

  - ### setDeceased

    public void setDeceased(Instant value)
    Sets the value of the deceased property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDeceased()`

  - ### getSex

    public SexType getSex()
    The sex of the care receiver.
    Returns:
      possible object is `SexType`

  - ### setSex

    public void setSex(SexType value)
    Sets the value of the sex property.
    Parameters:
      `value` - allowed object is `SexType`
    See Also:
      - `getSex()`